#!/usr/bin/perl
use strict;

### Set some variables.
my $line_count = 0;
my $new_queue_list;
my $current_line;
my $next_song;
my $test;

### Double-check if we should run the queue ###
if (!(-e "/tmp/.mp3db.paused")) {
 
 ### Read in the queue file. ###
 open (QUEUE_FILE_READ, "queue.list") || die "Can't open queue-file.";

 while (<QUEUE_FILE_READ>) {
  chop;
  ($current_line) = split (/\n/);
  if ( $line_count == "0" ) {
   $next_song = "$current_line";
  }
  if ( $line_count != "0" ) {
   $new_queue_list = "$new_queue_list$current_line\n";
  }
  $line_count++
 }		

 close QUEUE_FILE_READ;
 
 ### Write the new queue file. ###
 open (QUEUE_FILE_WRITE, ">queue.list") || die "Can't open queue-file.";
 
 if ( $new_queue_list ne "" ) {
  print QUEUE_FILE_WRITE $new_queue_list;
 }

 close QUEUE_FILE_WRITE;
 
 ### Finally, if there is another song, start it. ###
 if ( $next_song ne "" ) {
  ### We need to check if we are playing a OGG or a MP3 here.
  if ( $next_song =~ /\.mp3 \"/i ) {
   system("./pmpg123 $next_song 0 1> /dev/null 2>&1 &");
  } elsif ( $test =~ /\.ogg \"/i ) {
   system("./pmpg123 $next_song 1 1> /dev/null 2>&1 &");
  }
 }
}
