#!/usr/bin/perl 
use strict;

### Set some variables
my $value;
my $action;

### Decode URL values into $file
foreach $value ($ENV{'QUERY_STRING'}) {
 $value =~ tr/+/ /;
 $value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
 $action = $value;
}

### Sometimes people might arrive here in strange ways that would cause them to not have a HTTP_REFERER.
### If that's the case, let's set a fake one, just so strange things do not happen.
if ( $ENV{'HTTP_REFERER'} eq "" ) { 
 $ENV{'HTTP_REFERER'} = "/";
}
  
### Print out our header. 
print "Content-type: text/html\n\n";
print "<HTML><HEAD>\n";
print "<LINK rel=\"stylesheet\" href=\"/Mp3.css\" type=\"text/css\">\n";
print "<TITLE>Mp3 Database v6.4</TITLE>\n";
print "</HEAD><BODY>\n";
print "<META HTTP-EQUIV=Refresh CONTENT=2;URL=$ENV{'HTTP_REFERER'}?r=1>\n";
print "<CENTER>\n";
print "<BR>\n\n";

### Make sure we have something to do, shall we? 
if ( $action eq "pause" ) {
  open (PAUSE, ">/tmp/.mp3db.paused") || die "Cannot open pause file.";
  print PAUSE "I'm the Pause file for the Mp3 Database. How are you?\n";
  close PAUSE;
  print "<B>Queue has been paused.</B>\n";

} elsif ( $action eq "unpause" ) {
  if ( -e "/tmp/.mp3db.paused" ) { unlink "/tmp/.mp3db.paused"; }
  if ( !(-e "/tmp/mpg123.lock") ) { system("./run_queue.pl &"); }
  print "<B>Queue has been unpaused.</B>\n";

} else {
  print "An invalid request was made.\n";
}

print "</BODY></HTML>\n";
